

#ifndef LORANEETWORKINTERFACE_H    /* Guard against multiple inclusion */
#define LORANEETWORKINTERFACE_H
//#define LORA_CHANNEL 0x04
//#define LORA_MASTER_ADDRESS 0x05
#define LORA_CHANNEL 65
#define LORA_MASTER_ADDRESS 0x05

#define LORA_CHALET_STATUS_POWER_RELAY_MASK 0x01
#define LORA_CHALET_STATUS_CUR_SENSOR_MASK 0x02

void LoraNetworkInterfaceInit();
void ExecuteLoraMasterCommand(int Command, unsigned char *Data, int DataSize);
void SendLoraNetworkCommand(int Command, unsigned char *Data, unsigned int DataSize);
void SendLoraNetworkCommandBlocking(int Command, unsigned char *Data, unsigned int DataSize);    //USE WITH CARE

void TestTx();

#endif /* LORANEETWORKINTERFACE_H */
